[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.InternalAddObject

InternalAddObject - method for adding text of data within the structure of the current node; returns the value of the new updated node

## Declaration

Source position: comctrls.pp line 2263

`protected function TTreeNodes.InternalAddObject(`
`Node: TTreeNode;`
`const S: String;`
`Data: Pointer;`
`AddMode: TAddMode`
`):TTreeNode;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .